<?xml version="1.0" encoding="UTF-8"?>
<!-- Block DejaVu use with Arabic and Persian
     © 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
     This file is distributed under the terms of the GNU General
     Public License (GPL) version 2. Copies of the GPL can be obtained from:
     http://www.gnu.org/licenses/gpl.html
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:strip-space elements="*"/>
  <xsl:output method="xml" indent="yes" encoding="UTF-8" doctype-system="fonts.dtd"/>
<!-- Preserve most nodes -->
  <xsl:template match="*" priority="0">
    <xsl:copy>
      <xsl:apply-templates select="@*"/>
      <xsl:apply-templates select="*|text()|comment()"/>
    </xsl:copy>
  </xsl:template>
<!-- Preserve attributes and comments -->
  <xsl:template match="@*|comment()">
    <xsl:copy/>
  </xsl:template>
<!-- Remove our old blocking code -->
  <xsl:template match="fontconfig/match[comment()[.='Added by dejavu-fonts-block']]" priority ="2"/>
<!-- Add Arabic and Persian overrides for default aliases -->
  <xsl:template match="fontconfig/dir[position()=last()]" priority ="1">
    <xsl:copy>
      <xsl:apply-templates select="@*"/>
      <xsl:apply-templates select="*|text()|comment()"/>
    </xsl:copy>
    <match>
      <xsl:comment>Added by dejavu-fonts-block</xsl:comment>
      <xsl:comment>Use KacstQura as default sans-serif when lang is Arabic</xsl:comment>
      <test name="family"><string>Sans</string></test>
      <test name="lang"><string>ar</string></test>
      <edit name="family" mode="assign" binding="same">
        <string>KacstQura</string>
      </edit>
    </match>
    <match>
      <xsl:comment>Added by dejavu-fonts-block</xsl:comment>
      <xsl:comment>Use KacstQura as default serif when lang is Arabic</xsl:comment>
      <test name="family"><string>Serif</string></test>
      <test name="lang"><string>ar</string></test>
      <edit name="family" mode="assign" binding="same">
        <string>KacstQura</string>
      </edit>
    </match>
    <match>
      <xsl:comment>Added by dejavu-fonts-block</xsl:comment>
      <xsl:comment>Use KacstQura as default monospace when lang is Arabic</xsl:comment>
      <test name="family"><string>Monospace</string></test>
      <test name="lang"><string>ar</string></test>
      <edit name="family" mode="assign" binding="same">
        <string>KacstQuraFixed</string>
      </edit>
    </match>
    <match>
      <xsl:comment>Added by dejavu-fonts-block</xsl:comment>
      <xsl:comment>Use Roya as default sans-serif when lang is Farsi</xsl:comment>
      <test name="family"><string>Sans</string></test>
      <test name="lang"><string>fa</string></test>
      <edit name="family" mode="assign" binding="same">
        <string>Roya</string>
      </edit>
    </match>
    <match>
      <xsl:comment>Added by dejavu-fonts-block</xsl:comment>
      <xsl:comment>Use Nazli as default serif when lang is Farsi</xsl:comment>
      <test name="family"><string>Serif</string></test>
      <test name="lang"><string>fa</string></test>
      <edit name="family" mode="assign" binding="same">
        <string>Nazli</string>
      </edit>
    </match>
    <match>
      <xsl:comment>Added by dejavu-fonts-block</xsl:comment>
      <xsl:comment>Use Terafik as default monospace when lang is Farsi</xsl:comment>
      <test name="family"><string>Monospace</string></test>
      <test name="lang"><string>fa</string></test>
      <edit name="family" mode="assign" binding="same">
        <string>Terafik</string>
      </edit>
    </match>
  </xsl:template>
</xsl:stylesheet>

